Index: branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_CFG.tex
===================================================================
--- branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 7402)
+++ branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 7412)
@@ -299,5 +299,5 @@
 In particular, the AMM uses $S$-coordinates in the vertical rather than
 $z$-coordinates and is forced with tidal lateral boundary conditions
-using a flather boundary condition from the BDY module (key\_bdy).
+using a flather boundary condition from the BDY module.
 The AMM configuration  uses the GLS (key\_zdfgls) turbulence scheme, the
 VVL non-linear free surface(key\_vvl) and time-splitting
@@ -306,5 +306,5 @@
 In addition to the tidal boundary condition the model may also take
 open boundary conditions from a North Atlantic model. Boundaries may be
-completely ommited by removing the BDY key (key\_bdy).
+completely omitted by setting \np{ln\_bdy} to false.
 Sample surface fluxes, river forcing and a sample initial restart file
 are included to test a realistic model run. The Baltic boundary is
Index: branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_DYN.tex
===================================================================
--- branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 7402)
+++ branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 7412)
@@ -1209,5 +1209,5 @@
 into account when computing the surface pressure gradient.
 
-(2) When \np{ln\_tide\_pot}~=~true and \key{tide} is defined (see \S\ref{SBC_tide}), 
+(2) When \np{ln\_tide\_pot}~=~true and \np{ln\_tide}~=~true (see \S\ref{SBC_tide}), 
 the tidal potential is taken into account when computing the surface pressure gradient.
 
Index: branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_LBC.tex
===================================================================
--- branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_LBC.tex	(revision 7402)
+++ branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_LBC.tex	(revision 7412)
@@ -350,5 +350,5 @@
 % Unstructured open boundaries BDY 
 % ====================================================================
-\section{Unstructured Open Boundary Conditions (\key{bdy}) (BDY)}
+\section{Unstructured Open Boundary Conditions (BDY)}
 \label{LBC_bdy}
 
@@ -368,5 +368,5 @@
 Options are defined through the \ngn{nambdy} \ngn{nambdy\_index} 
 \ngn{nambdy\_dta} \ngn{nambdy\_dta2} namelist variables.
-The BDY module is an alternative implementation of open boundary
+The BDY module is the core implementation of open boundary
 conditions for regional configurations. It implements the Flow
 Relaxation Scheme algorithm for temperature, salinity, velocities and
@@ -376,10 +376,9 @@
 an isobath or other irregular contour. 
 
-The BDY module was modelled on the OBC module and shares many features
-and a similar coding structure \citep{Chanut2005}.
-
-The BDY module is completely rewritten at NEMO 3.4 and there is a new
-set of namelists. Boundary data files used with earlier versions of
-NEMO may need to be re-ordered to work with this version. See the
+The BDY module was modelled on the OBC module (see NEMO 3.4) and shares many
+features and a similar coding structure \citep{Chanut2005}.
+
+Boundary data files used with earlier versions of NEMO may need
+to be re-ordered to work with this version. See the
 section on the Input Boundary Data Files for details.
 
@@ -388,4 +387,5 @@
 \label{BDY_namelist}
 
+The BDY module is activated by setting \np{ln\_bdy} to true.
 It is possible to define more than one boundary ``set'' and apply
 different boundary conditions to each set. The number of boundary
Index: branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_MISC.tex
===================================================================
--- branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 7402)
+++ branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 7412)
@@ -243,9 +243,10 @@
 	b \qquad \ &= sum_2 \\
 \end{align*}
-This feature can be found in \mdl{lib\_fortran} module and is effective when \key{mpp\_rep}.
-In that case, all calls to glob\_sum function (summation over the entire basin excluding 
+An example of this feature can be found in \mdl{lib\_fortran} module.
+It is systematicallt used in glob\_sum function (summation over the entire basin excluding 
 duplicated rows and columns due to cyclic or north fold boundary condition as well as 
-overlap MPP areas). 
-Note this implementation may be sensitive to the optimization level. 
+overlap MPP areas). The self-compensated summation method should be used in all summation
+in i- and/or j-direction. See closea.F90 module for an example.
+Note also that this implementation may be sensitive to the optimization level. 
 
 \subsection{MPP scalability}
Index: branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 7402)
+++ branches/2016/dev_merge_2016/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 7412)
@@ -776,5 +776,5 @@
 
 A module is available to compute the tidal potential and use it in the momentum equation.
-This option is activated when \key{tide} is defined.
+This option is activated when \np{ln\_tide} is set to true in \ngn{nam\_tide}.
 
 Some parameters are available in namelist \ngn{nam\_tide}: