Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE/cpp_GYRE.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE/cpp_GYRE.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE/cpp_GYRE.fcm	(revision 7423)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_zdftke key_iomput key_mpp_mpi key_nosignedzero key_mpp_rep
+ bld::tool::fppkeys key_zdftke key_iomput key_mpp_mpi key_nosignedzero
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 7423)
@@ -1,2 +1,2 @@
-bld::tool::fppkeys key_zdftke key_top key_my_trc key_mpp_mpi key_iomput key_mpp_rep
+bld::tool::fppkeys key_zdftke key_top key_my_trc key_mpp_mpi key_iomput
 inc $BFMDIR/src/nemo/bfm.fcm
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ISOMIP/cpp_ISOMIP.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ISOMIP/cpp_ISOMIP.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ISOMIP/cpp_ISOMIP.fcm	(revision 7423)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_zdfcst key_iomput key_mpp_mpi key_mpp_rep key_nosignedzero 
+ bld::tool::fppkeys key_zdfcst key_iomput key_mpp_mpi key_nosignedzero 
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 7423)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_zdfcst key_iomput key_mpp_mpi key_mpp_rep key_nosignedzero
+ bld::tool::fppkeys key_zdfcst key_iomput key_mpp_mpi key_nosignedzero
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM/cpp_ORCA2_SAS_LIM.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM/cpp_ORCA2_SAS_LIM.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM/cpp_ORCA2_SAS_LIM.fcm	(revision 7423)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_trabbl key_lim2  key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi key_mpp_rep
+ bld::tool::fppkeys key_trabbl key_lim2  key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/cpp_ORCA2_SAS_LIM3.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/cpp_ORCA2_SAS_LIM3.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_SAS_LIM3/cpp_ORCA2_SAS_LIM3.fcm	(revision 7423)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_trabbl key_lim3  key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi key_mpp_rep
+ bld::tool::fppkeys key_trabbl key_lim3  key_zdftke key_zdfddm key_zdftmx key_iomput key_mpp_mpi
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/OVERFLOW/cpp_OVERFLOW.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/OVERFLOW/cpp_OVERFLOW.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/OVERFLOW/cpp_OVERFLOW.fcm	(revision 7423)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_zdfcst key_mpp_mpi key_iomput key_mpp_rep key_nosignedzero
+bld::tool::fppkeys key_zdfcst key_mpp_mpi key_iomput key_nosignedzero
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/SAS_BIPER/cpp_SAS_BIPER.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/SAS_BIPER/cpp_SAS_BIPER.fcm	(revision 7422)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/SAS_BIPER/cpp_SAS_BIPER.fcm	(revision 7423)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_agrif key_lim3 key_mpp_rep key_mpp_mpi key_nosignedzero key_iomput
+bld::tool::fppkeys key_agrif key_lim3 key_mpp_mpi key_nosignedzero key_iomput