Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 7425)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 7426)
@@ -33,5 +33,4 @@
    USE dynvor          ! vorticity term
    USE wet_dry         ! wetting/drying flux limter
-   USE bdy_par         ! for lk_bdy
    USE bdytides        ! open boundary condition data
    USE bdydyn2d        ! open boundary conditions on barotropic variables
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 7425)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 7426)
@@ -214,26 +214,15 @@
          !
          !                                        ! surface of closed seas 
-         IF( lk_mpp_rep ) THEN                         ! MPP reproductible calculation
-            DO jc = 1, jpncs
-               ctmp = CMPLX( 0.e0, 0.e0, wp )
-               DO jj = ncsj1(jc), ncsj2(jc)
-                  DO ji = ncsi1(jc), ncsi2(jc)
-                     ztmp = e1e2t(ji,jj) * tmask_i(ji,jj)
-                     CALL DDPDD( CMPLX( ztmp, 0.e0, wp ), ctmp )
-                  END DO 
+         DO jc = 1, jpncs
+            ctmp = CMPLX( 0.e0, 0.e0, wp )
+            DO jj = ncsj1(jc), ncsj2(jc)
+               DO ji = ncsi1(jc), ncsi2(jc)
+                  ztmp = e1e2t(ji,jj) * tmask_i(ji,jj)
+                  CALL DDPDD( CMPLX( ztmp, 0.e0, wp ), ctmp )
                END DO 
-               IF( lk_mpp )   CALL mpp_sum( ctmp )
-               surf(jc) = REAL(ctmp,wp)
-            END DO
-         ELSE                                          ! Standard calculation           
-            DO jc = 1, jpncs
-               DO jj = ncsj1(jc), ncsj2(jc)
-                  DO ji = ncsi1(jc), ncsi2(jc)
-                     surf(jc) = surf(jc) + e1e2t(ji,jj) * tmask_i(ji,jj)      ! surface of closed seas
-                  END DO 
-               END DO 
-            END DO 
-            IF( lk_mpp )   CALL mpp_sum ( surf, jpncs )       ! mpp: sum over all the global domain
-         ENDIF
+            END DO 
+            IF( lk_mpp )   CALL mpp_sum( ctmp )
+            surf(jc) = REAL(ctmp,wp)
+         END DO
 
          IF(lwp) WRITE(numout,*)'     Closed sea surfaces'
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 7425)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 7426)
@@ -131,11 +131,4 @@
          END DO
       END DO
-
-!!gm  ===>>> The following lines are to be de-commented
-!!    Commented here as they change the GYRE results 
-!#if !defined key_mpp_rep
-!      CALL ctl_stop( 'usrdef_sbc_oce: key_mpp_rep is required to run GYRE configuration')
-!#endif
-!!gm
 
       zsumemp = GLOB_SUM( emp  (:,:)   ) 
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 7425)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 7426)
@@ -32,5 +32,4 @@
    USE bdyini         ! open boundary cond. setting       (bdy_init routine). clem: mandatory for LIM3
    USE bdydta         ! open boundary cond. setting   (bdy_dta_init routine). clem: mandatory for LIM3
-   USE bdy_par
    !
    USE lib_mpp        ! distributed memory computing
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/step.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/step.F90	(revision 7425)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/SAS_SRC/step.F90	(revision 7426)
@@ -24,5 +24,4 @@
    USE diawri           ! Standard run outputs             (dia_wri routine)
    USE bdy_oce   , ONLY: ln_bdy
-   USE bdy_par          ! clem: mandatory for LIM3
    USE bdydta           ! clem: mandatory for LIM3
    USE stpctl           ! time stepping control            (stp_ctl routine)