Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 7470)
@@ -52,5 +52,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_archfile.sh 4162 2013-11-07 10:19:49Z cetlod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 7470)
@@ -58,5 +58,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_config.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 7470)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_script.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 7470)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fclean_var.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 7470)
@@ -46,5 +46,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcopy_dir.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 7470)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fgo_to_TOOLS.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 7470)
@@ -48,5 +48,5 @@
 # ==========
 #
-# $Id$
+# $Id: Flist_archfile.sh 4148 2013-11-04 12:54:28Z cetlod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 7470)
@@ -57,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_WORK.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 7470)
@@ -51,5 +51,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_bld.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 7470)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 6224 2016-01-07 17:02:43Z acc $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 7470)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 6204 2016-01-04 13:47:06Z cetlod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 7470)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fread_dir.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 7470)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #------------------------------------------------
-#$Id$
+#$Id: chk_iomput.sh 4162 2013-11-07 10:19:49Z cetlod $
 #------------------------------------------------
 #
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 7470)
@@ -128,5 +128,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: in_out_manager.F90 2715 2011-03-30 15:58:35Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!=====================================================================
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 7470)
@@ -194,5 +194,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: par_oce.F90 2715 2011-03-30 15:58:35Z rblod $ 
+   !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/nocsutil/scrip.F90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/nocsutil/scrip.F90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/nocsutil/scrip.F90	(revision 7470)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: scrip.f,v 1.6 2001/08/21 21:06:44 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/constants.f90	(revision 7470)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: constants.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/grids.f90	(revision 7470)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: grids.f,v 1.6 2001/08/21 21:06:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/iounits.f90	(revision 7470)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: iounits.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/kinds_mod.f90	(revision 7470)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: kinds_mod.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/netcdf_mod.f90	(revision 7470)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: netcdf.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap.f90	(revision 7470)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap.f,v 1.5 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bicubic.f90	(revision 7470)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bicubic.f,v 1.5 2001/08/22 18:20:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_bilinear.f90	(revision 7470)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bilinear.f,v 1.6 2001/08/22 18:20:40 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_conserv.f90	(revision 7470)
@@ -10,5 +10,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_conserv.f,v 1.10 2001/08/21 21:05:13 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_distwgt.f90	(revision 7470)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_distwgt.f,v 1.3 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_read.f90	(revision 7470)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_read.f,v 1.6 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_vars.f90	(revision 7470)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_vars.f,v 1.5 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/remap_write.f90	(revision 7470)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_write.f,v 1.7 2001/08/21 21:06:42 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/scrip.F90	(revision 7470)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: scrip.f,v 1.6 2001/08/21 21:06:44 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/WEIGHTS/src/timers.f90	(revision 7470)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: timers.f,v 1.2 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/maketools
===================================================================
--- branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/maketools	(revision 7469)
+++ branches/UKMO/r6232_INGV1_WAVE-coupling/NEMOGCM/TOOLS/maketools	(revision 7470)
@@ -64,5 +64,5 @@
 # ==========
 #
-# $Id$
+# $Id: maketools 4363 2014-01-22 11:11:47Z rfurner $
 #
 #