Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 7485)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_trabbl key_top key_offline key_iomput key_mpp_mpi
+bld::tool::fppkeys key_trabbl key_top key_iomput key_mpp_mpi
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 7485)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_trabbl key_top key_offline key_iomput key_mpp_mpi
+bld::tool::fppkeys key_trabbl key_top key_iomput key_mpp_mpi
Index: branches/2016/dev_merge_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/MY_SRC/domain.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/MY_SRC/domain.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/CONFIG/WAD_TEST_CASES/MY_SRC/domain.F90	(revision 7485)
@@ -179,5 +179,5 @@
       ELSE                       != time varying : initialize before/now/after variables
          !
-         IF( .NOT.lk_offline )  CALL dom_vvl_init 
+         IF( .NOT.l_offline )  CALL dom_vvl_init 
          !
       ENDIF
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_interp.F90	(revision 7485)
@@ -9,8 +9,7 @@
    !!            3.6  !  2014-09  (R. Benshila) 
    !!----------------------------------------------------------------------
-#if defined key_agrif && ! defined key_offline
+#if defined key_agrif
    !!----------------------------------------------------------------------
    !!   'key_agrif'                                              AGRIF zoom
-   !!   NOT 'key_offline'                               NO off-line tracers
    !!----------------------------------------------------------------------
    !!   Agrif_tra     :
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_sponge.F90	(revision 7485)
@@ -8,5 +8,5 @@
    !! History :  
    !!----------------------------------------------------------------------
-#if defined key_agrif  && ! defined key_offline
+#if defined key_agrif
    USE par_oce
    USE oce
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_opa_update.F90	(revision 7485)
@@ -3,5 +3,5 @@
  
 MODULE agrif_opa_update
-#if defined key_agrif  && ! defined key_offline
+#if defined key_agrif 
    USE par_oce
    USE oce
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7485)
@@ -80,7 +80,5 @@
    CALL agrif_nemo_init
    CALL Agrif_InitValues_cont_dom
-# if ! defined key_offline
    CALL Agrif_InitValues_cont
-# endif       
 # if defined key_top
    CALL Agrif_InitValues_cont_top
@@ -154,6 +152,4 @@
 END SUBROUTINE agrif_declare_var_dom
 
-
-# if ! defined key_offline
 
 SUBROUTINE Agrif_InitValues_cont
@@ -464,5 +460,4 @@
    !
 END SUBROUTINE agrif_declare_var
-# endif
 
 #  if defined key_lim2
@@ -699,5 +694,4 @@
 
    IF( check_namelist ) THEN
-# if defined key_offline
       ! Check time steps
       IF( NINT(Agrif_Rhot()) * NINT(rdt) .NE. Agrif_Parent(rdt) ) THEN
@@ -742,5 +736,4 @@
          ENDIF
       ENDIF
-#  endif         
       ! Check passive tracer cell
       IF( nn_dttrc .NE. 1 ) THEN
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OFF_SRC/nemogcm.F90	(revision 7485)
@@ -17,4 +17,5 @@
    USE dom_oce         ! ocean space domain variables
    USE oce             ! dynamics and tracers variables
+   USE trc_oce         ! Shared ocean/passive tracers variables
    USE c1d             ! 1D configuration
    USE domain          ! domain initialization from coordinate & bathymetry (dom_init routine)
@@ -199,4 +200,7 @@
       jpk    = jpkglo
       !
+      !
+      l_offline = .true.            !  passive tracers are run offline
+      !
       !                             !--------------------------------------------!
       !                             !  set communicator & select the local node  !
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 7485)
@@ -26,5 +26,5 @@
    USE phycst         ! physical constants
    USE ioipsl  , ONLY :   ymds2ju      ! for calendar
-   USE trc_oce , ONLY :   lk_offline   ! offline flag
+   USE trc_oce , ONLY :   l_offline   ! offline flag
    !
    USE in_out_manager ! I/O manager
@@ -81,5 +81,5 @@
       ndt05   = NINT( 0.5 * rdt  )
 
-      IF( .NOT. lk_offline )   CALL day_rst( nit000, 'READ' )
+      IF( .NOT. l_offline )   CALL day_rst( nit000, 'READ' )
 
       ! set the calandar from ndastp (read in restart file and namelist)
@@ -273,5 +273,5 @@
       ENDIF
 
-      IF( .NOT. lk_offline ) CALL rst_opn( kt )               ! Open the restart file if needed and control lrst_oce
+      IF( .NOT. l_offline ) CALL rst_opn( kt )               ! Open the restart file if needed and control lrst_oce
       IF( lrst_oce         ) CALL day_rst( kt, 'WRITE' )      ! write day restart information
       !
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/depth_e3.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/depth_e3.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/depth_e3.F90	(revision 7485)
@@ -126,8 +126,8 @@
       INTEGER  ::   jk           ! dummy loop indices
       !!----------------------------------------------------------------------
-		!
-		pdepw_1d(1) = 0.0_wp
+      !
+      pdepw_1d(1) = 0.0_wp
       pdept_1d(1) = 0.5_wp * pe3w_1d(1)
-		DO jk = 2, jpk
+      DO jk = 2, jpk
          pdepw_1d(jk) = pdepw_1d(jk-1) + pe3t_1d(jk-1) 
          pdept_1d(jk) = pdept_1d(jk-1) + pe3w_1d(jk  ) 
@@ -152,8 +152,8 @@
       INTEGER  ::   jk           ! dummy loop indices
       !!----------------------------------------------------------------------      
-		!
-		pdepw_3d(:,:,1) = 0.0_wp
+      !
+      pdepw_3d(:,:,1) = 0.0_wp
       pdept_3d(:,:,1) = 0.5_wp * pe3w_3d(:,:,1)
-		DO jk = 2, jpk
+      DO jk = 2, jpk
          pdepw_3d(:,:,jk) = pdepw_3d(:,:,jk-1) + pe3t_3d(:,:,jk-1) 
          pdept_3d(:,:,jk) = pdept_3d(:,:,jk-1) + pe3w_3d(:,:,jk  ) 
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 7485)
@@ -40,4 +40,6 @@
    USE dyncor_c1d     ! 1D configuration: Coriolis term    (cor_c1d routine)
    !
+   USE trc_oce , ONLY :   l_offline    ! passive tracers offline flag
+   !
    USE in_out_manager ! I/O manager
    USE iom            ! I/O library
@@ -178,5 +180,5 @@
       ELSE                       != time varying : initialize before/now/after variables
          !
-         IF( .NOT.lk_offline )  CALL dom_vvl_init 
+         IF( .NOT.l_offline )  CALL dom_vvl_init 
          !
       ENDIF
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 7485)
@@ -26,5 +26,4 @@
    USE diaptr
    !
-   USE trc_oce, ONLY: lk_offline ! offline flag
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O module for ehanced bottom friction file
@@ -352,17 +351,15 @@
       END SELECT
       !
-      IF( .NOT.lk_offline ) THEN
-         CALL iom_put( "ahtu_2d", ahtu(:,:,1) )   ! surface u-eddy diffusivity coeff.
-         CALL iom_put( "ahtv_2d", ahtv(:,:,1) )   ! surface v-eddy diffusivity coeff.
-         CALL iom_put( "ahtu_3d", ahtu(:,:,:) )   ! 3D      u-eddy diffusivity coeff.
-         CALL iom_put( "ahtv_3d", ahtv(:,:,:) )   ! 3D      v-eddy diffusivity coeff.
-         !
+      CALL iom_put( "ahtu_2d", ahtu(:,:,1) )   ! surface u-eddy diffusivity coeff.
+      CALL iom_put( "ahtv_2d", ahtv(:,:,1) )   ! surface v-eddy diffusivity coeff.
+      CALL iom_put( "ahtu_3d", ahtu(:,:,:) )   ! 3D      u-eddy diffusivity coeff.
+      CALL iom_put( "ahtv_3d", ahtv(:,:,:) )   ! 3D      v-eddy diffusivity coeff.
+      !
 !!gm  : THE IF below is to be checked (comes from Seb)
-         IF( ln_ldfeiv ) THEN
-           CALL iom_put( "aeiu_2d", aeiu(:,:,1) )   ! surface u-EIV coeff.
-           CALL iom_put( "aeiv_2d", aeiv(:,:,1) )   ! surface v-EIV coeff.
-           CALL iom_put( "aeiu_3d", aeiu(:,:,:) )   ! 3D      u-EIV coeff.
-           CALL iom_put( "aeiv_3d", aeiv(:,:,:) )   ! 3D      v-EIV coeff.
-         ENDIF     
+      IF( ln_ldfeiv ) THEN
+        CALL iom_put( "aeiu_2d", aeiu(:,:,1) )   ! surface u-EIV coeff.
+        CALL iom_put( "aeiv_2d", aeiv(:,:,1) )   ! surface v-EIV coeff.
+        CALL iom_put( "aeiu_3d", aeiu(:,:,:) )   ! 3D      u-EIV coeff.
+        CALL iom_put( "aeiv_3d", aeiv(:,:,:) )   ! 3D      v-EIV coeff.
       ENDIF
       !
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 7485)
@@ -422,5 +422,5 @@
          !
          IF(lwp) WRITE(numout,*) '   bio-model light penetration'
-         IF( .NOT.lk_qsr_bio )   CALL ctl_stop( 'No bio model : ln_qsr_bio = true impossible ' )
+         IF( .NOT.lk_top )   CALL ctl_stop( 'No bio model : ln_qsr_bio = true impossible ' )
          !
       END SELECT
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 7485)
@@ -13,4 +13,5 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables
+   USE trc_oce, ONLY: l_offline         ! ocean space and time domain variables
    USE zdf_oce         ! ocean vertical physics
    USE in_out_manager  ! I/O manager
@@ -21,5 +22,4 @@
    USE wrk_nemo        ! work arrays
    USE timing          ! Timing
-   USE trc_oce, ONLY : lk_offline ! offline flag
 
    IMPLICIT NONE
@@ -128,20 +128,16 @@
          END DO
       END DO
-      ! no need to output in offline mode
-      IF( .NOT.lk_offline ) THEN   
-         IF ( iom_use("mldr10_1") ) THEN
-            IF( ln_isfcav ) THEN
-               CALL iom_put( "mldr10_1", hmlp - risfdep)   ! mixed layer thickness
-            ELSE
-               CALL iom_put( "mldr10_1", hmlp )            ! mixed layer depth
+      !
+      IF( .NOT.l_offline ) THEN
+         IF( iom_use("mldr10_1") ) THEN
+            IF( ln_isfcav ) THEN  ;  CALL iom_put( "mldr10_1", hmlp - risfdep)   ! mixed layer thickness
+            ELSE                  ;  CALL iom_put( "mldr10_1", hmlp )            ! mixed layer depth
             END IF
          END IF
-         IF ( iom_use("mldkz5") ) THEN
-            IF( ln_isfcav ) THEN
-               CALL iom_put( "mldkz5"  , hmld - risfdep )   ! turbocline thickness
-            ELSE
-               CALL iom_put( "mldkz5"  , hmld )             ! turbocline depth
+         IF( iom_use("mldkz5") ) THEN
+            IF( ln_isfcav ) THEN  ;  CALL iom_put( "mldkz5"  , hmld - risfdep )   ! turbocline thickness
+            ELSE                  ;  CALL iom_put( "mldkz5"  , hmld )             ! turbocline depth
             END IF
-         END IF
+         ENDIF
       ENDIF
       
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/OPA_SRC/trc_oce.F90	(revision 7485)
@@ -24,5 +24,6 @@
    PUBLIC   trc_oce_alloc      ! function called by nemogcm.F90
 
-   LOGICAL , PUBLIC                                      ::   l_co2cpl = .false.   !: atmospheric pco2 recieved from oasis
+   LOGICAL , PUBLIC                                      ::   l_co2cpl  = .false.   !: atmospheric pco2 recieved from oasis
+   LOGICAL , PUBLIC                                     ::   l_offline = .false.   !: offline passive tracers flag
    INTEGER , PUBLIC                                      ::   nn_dttrc      !: frequency of step on passive tracers
    REAL(wp), PUBLIC                                      ::   r_si2         !: largest depth of extinction (blue & 0.01 mg.m-3)  (RGB)
@@ -35,5 +36,4 @@
    !!----------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_top     = .TRUE.   !: TOP model
-   LOGICAL, PUBLIC, PARAMETER ::   lk_qsr_bio = .TRUE.   !: bio-model light absorption flag
 #else
    !!----------------------------------------------------------------------
@@ -41,27 +41,4 @@
    !!----------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_top     = .FALSE.   !: TOP model
-   LOGICAL, PUBLIC, PARAMETER ::   lk_qsr_bio = .FALSE.   !: bio-model light absorption flag
-#endif
-#if defined key_offline
-   !!----------------------------------------------------------------------
-   !!   'key_offline'                                     OFFLINE mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_offline = .TRUE.   !: offline flag
-#else
-   !!----------------------------------------------------------------------
-   !!   Default option                                   NO  OFFLINE mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_offline = .FALSE.   !: offline flag
-#endif
-#if defined key_degrad
-   !!----------------------------------------------------------------------
-   !!   'key_degrad'                                     Degradation mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_degrad = .TRUE.   !: degradation flag
-#else
-   !!----------------------------------------------------------------------
-   !!   Default option                                   NO  Degradation mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_degrad = .FALSE.   !: degradation flag
 #endif
    !!----------------------------------------------------------------------
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 7485)
@@ -291,5 +291,5 @@
       ! set the number of level over which river runoffs are applied 
       ! online configuration : computed in sbcrnf
-      IF( lk_offline ) THEN
+      IF( l_offline ) THEN
         nk_rnf(:,:) = 1
         h_rnf (:,:) = gdept_n(:,:,1)
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 7485)
@@ -85,5 +85,5 @@
       CALL wrk_alloc( jpi,jpj,jpk,   zun, zvn, zwn )
       !                                               !==  effective transport  ==!
-      IF( lk_offline ) THEN
+      IF( l_offline ) THEN
          zun(:,:,:) = un(:,:,:)     ! effective transport already in un/vn/wn
          zvn(:,:,:) = vn(:,:,:)
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 7485)
@@ -54,5 +54,5 @@
       IF( nn_timing == 1 )  CALL timing_start('trc_bbl')
       !
-      IF( .NOT. lk_offline .AND. nn_dttrc == 1 ) THEN
+      IF( .NOT. l_offline .AND. nn_dttrc == 1 ) THEN
          CALL bbl( kt, nittrc000, 'TRC' )      ! Online coupling with dynamics  : Computation of bbl coef and bbl transport
          l_bbl = .FALSE.                       ! Offline coupling with dynamics : Read bbl coef and bbl transport from input files
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 7485)
@@ -51,7 +51,5 @@
    USE oce , ONLY :   sshb    =>    sshb    !: sea surface height at t-point [m]   
    USE oce , ONLY :   ssha    =>    ssha    !: sea surface height at t-point [m]   
-#if defined key_offline
    USE oce , ONLY :   rab_n   =>    rab_n   !: local thermal/haline expension ratio at T-points
-#endif
 
    !* surface fluxes *
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 7485)
@@ -65,5 +65,5 @@
       !
       IF(lwp) WRITE(numout,*)
-      IF( ln_rsttr .AND. .NOT. lk_offline ) CALL trc_rst_cal( nit000, 'READ' )   ! calendar
+      IF( ln_rsttr .AND. .NOT. l_offline ) CALL trc_rst_cal( nit000, 'READ' )   ! calendar
       IF(lwp) WRITE(numout,*)
       !
@@ -93,5 +93,5 @@
       ! Define logical parameter ton control dirunal cycle in TOP
       l_trcdm2dc = ln_dm2dc .OR. ( ln_cpl .AND. ncpl_qsr_freq /= 1 )
-      l_trcdm2dc = l_trcdm2dc  .AND. .NOT. lk_offline
+      l_trcdm2dc = l_trcdm2dc  .AND. .NOT. l_offline
       IF( l_trcdm2dc .AND. lwp )   CALL ctl_warn( 'Coupling with passive tracers and used of diurnal cycle.',   &
          &                           'Computation of a daily mean shortwave for some biogeochemical models ' )
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 7485)
@@ -51,5 +51,5 @@
       INTEGER  ::   jn                  ! dummy loop indice
       !
-      IF( .NOT.lk_offline )   CALL trc_nam_run     ! Parameters of the run                                  
+      IF( .NOT.l_offline )   CALL trc_nam_run     ! Parameters of the run                                  
       !               
       CALL trc_nam_trc     ! passive tracer informations
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 7485)
@@ -52,5 +52,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( lk_offline ) THEN
+      IF( l_offline ) THEN
          IF( kt == nittrc000 ) THEN
             lrst_trc = .FALSE.
@@ -147,5 +147,5 @@
           lrst_trc = .FALSE.
 #endif
-          IF( lk_offline .AND. ln_rst_list ) THEN
+          IF( l_offline .AND. ln_rst_list ) THEN
              nrst_lst = nrst_lst + 1
              nitrst = nstocklist( nrst_lst )
@@ -219,5 +219,5 @@
          ENDIF
          !
-         IF( lk_offline ) THEN    
+         IF( l_offline ) THEN    
             !                                          ! set the date in offline mode
             IF( ln_rsttr .AND. nn_rsttr == 2 ) THEN
Index: branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcwri.F90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 7485)
@@ -46,5 +46,5 @@
       IF( nn_timing == 1 )  CALL timing_start('trc_wri')
       !
-      IF( lk_offline .AND. kt == nittrc000 .AND. lwp ) THEN    ! WRITE root name in date.file for use by postpro
+      IF( l_offline .AND. kt == nittrc000 .AND. lwp ) THEN    ! WRITE root name in date.file for use by postpro
          CALL dia_nam( clhstnam, nn_writetrc,' ' )
          CALL ctl_opn( inum, 'date.file', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
Index: branches/2016/dev_merge_2016/NEMOGCM/TOOLS/DOMAINcfg/src/trc_oce.f90
===================================================================
--- branches/2016/dev_merge_2016/NEMOGCM/TOOLS/DOMAINcfg/src/trc_oce.f90	(revision 7482)
+++ branches/2016/dev_merge_2016/NEMOGCM/TOOLS/DOMAINcfg/src/trc_oce.f90	(revision 7485)
@@ -40,27 +40,5 @@
    !!----------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_top     = .FALSE.   !: TOP model
-   LOGICAL, PUBLIC, PARAMETER ::   lk_qsr_bio = .FALSE.   !: bio-model light absorption flag
-
-
-
-
-
-
-
-   !!----------------------------------------------------------------------
-   !!   Default option                                   NO  OFFLINE mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_offline = .FALSE.   !: offline flag
-
-
-
-
-
-
-
-   !!----------------------------------------------------------------------
-   !!   Default option                                   NO  Degradation mode          
-   !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_degrad = .FALSE.   !: degradation flag
+
 
    !!----------------------------------------------------------------------